// This file was generated by gir (https://github.com/gtk-rs/gir)
// from 
// from gir-files (https://github.com/gtk-rs/gir-files.git)
// DO NOT EDIT

#include "manual.h"
#include <stdalign.h>
#include <stdio.h>

int main() {
    printf("%s;%zu;%zu\n", "GMimeAddressType", sizeof(GMimeAddressType), alignof(GMimeAddressType));
    printf("%s;%zu;%zu\n", "GMimeApplicationPkcs7Mime", sizeof(GMimeApplicationPkcs7Mime), alignof(GMimeApplicationPkcs7Mime));
    printf("%s;%zu;%zu\n", "GMimeApplicationPkcs7MimeClass", sizeof(GMimeApplicationPkcs7MimeClass), alignof(GMimeApplicationPkcs7MimeClass));
    printf("%s;%zu;%zu\n", "GMimeAutocryptHeader", sizeof(GMimeAutocryptHeader), alignof(GMimeAutocryptHeader));
    printf("%s;%zu;%zu\n", "GMimeAutocryptHeaderClass", sizeof(GMimeAutocryptHeaderClass), alignof(GMimeAutocryptHeaderClass));
    printf("%s;%zu;%zu\n", "GMimeAutocryptHeaderList", sizeof(GMimeAutocryptHeaderList), alignof(GMimeAutocryptHeaderList));
    printf("%s;%zu;%zu\n", "GMimeAutocryptHeaderListClass", sizeof(GMimeAutocryptHeaderListClass), alignof(GMimeAutocryptHeaderListClass));
    printf("%s;%zu;%zu\n", "GMimeAutocryptPreferEncrypt", sizeof(GMimeAutocryptPreferEncrypt), alignof(GMimeAutocryptPreferEncrypt));
    printf("%s;%zu;%zu\n", "GMimeCertificate", sizeof(GMimeCertificate), alignof(GMimeCertificate));
    printf("%s;%zu;%zu\n", "GMimeCertificateClass", sizeof(GMimeCertificateClass), alignof(GMimeCertificateClass));
    printf("%s;%zu;%zu\n", "GMimeCertificateList", sizeof(GMimeCertificateList), alignof(GMimeCertificateList));
    printf("%s;%zu;%zu\n", "GMimeCertificateListClass", sizeof(GMimeCertificateListClass), alignof(GMimeCertificateListClass));
    printf("%s;%zu;%zu\n", "GMimeCharset", sizeof(GMimeCharset), alignof(GMimeCharset));
    printf("%s;%zu;%zu\n", "GMimeCipherAlgo", sizeof(GMimeCipherAlgo), alignof(GMimeCipherAlgo));
    printf("%s;%zu;%zu\n", "GMimeContentDisposition", sizeof(GMimeContentDisposition), alignof(GMimeContentDisposition));
    printf("%s;%zu;%zu\n", "GMimeContentDispositionClass", sizeof(GMimeContentDispositionClass), alignof(GMimeContentDispositionClass));
    printf("%s;%zu;%zu\n", "GMimeContentEncoding", sizeof(GMimeContentEncoding), alignof(GMimeContentEncoding));
    printf("%s;%zu;%zu\n", "GMimeContentType", sizeof(GMimeContentType), alignof(GMimeContentType));
    printf("%s;%zu;%zu\n", "GMimeContentTypeClass", sizeof(GMimeContentTypeClass), alignof(GMimeContentTypeClass));
    printf("%s;%zu;%zu\n", "GMimeCryptoContext", sizeof(GMimeCryptoContext), alignof(GMimeCryptoContext));
    printf("%s;%zu;%zu\n", "GMimeCryptoContextClass", sizeof(GMimeCryptoContextClass), alignof(GMimeCryptoContextClass));
    printf("%s;%zu;%zu\n", "GMimeDataWrapper", sizeof(GMimeDataWrapper), alignof(GMimeDataWrapper));
    printf("%s;%zu;%zu\n", "GMimeDataWrapperClass", sizeof(GMimeDataWrapperClass), alignof(GMimeDataWrapperClass));
    printf("%s;%zu;%zu\n", "GMimeDecryptFlags", sizeof(GMimeDecryptFlags), alignof(GMimeDecryptFlags));
    printf("%s;%zu;%zu\n", "GMimeDecryptResult", sizeof(GMimeDecryptResult), alignof(GMimeDecryptResult));
    printf("%s;%zu;%zu\n", "GMimeDecryptResultClass", sizeof(GMimeDecryptResultClass), alignof(GMimeDecryptResultClass));
    printf("%s;%zu;%zu\n", "GMimeDigestAlgo", sizeof(GMimeDigestAlgo), alignof(GMimeDigestAlgo));
    printf("%s;%zu;%zu\n", "GMimeEncoding", sizeof(GMimeEncoding), alignof(GMimeEncoding));
    printf("%s;%zu;%zu\n", "GMimeEncodingConstraint", sizeof(GMimeEncodingConstraint), alignof(GMimeEncodingConstraint));
    printf("%s;%zu;%zu\n", "GMimeEncryptFlags", sizeof(GMimeEncryptFlags), alignof(GMimeEncryptFlags));
    printf("%s;%zu;%zu\n", "GMimeFilter", sizeof(GMimeFilter), alignof(GMimeFilter));
    printf("%s;%zu;%zu\n", "GMimeFilterBasic", sizeof(GMimeFilterBasic), alignof(GMimeFilterBasic));
    printf("%s;%zu;%zu\n", "GMimeFilterBasicClass", sizeof(GMimeFilterBasicClass), alignof(GMimeFilterBasicClass));
    printf("%s;%zu;%zu\n", "GMimeFilterBestClass", sizeof(GMimeFilterBestClass), alignof(GMimeFilterBestClass));
    printf("%s;%zu;%zu\n", "GMimeFilterBestFlags", sizeof(GMimeFilterBestFlags), alignof(GMimeFilterBestFlags));
    printf("%s;%zu;%zu\n", "GMimeFilterCharset", sizeof(GMimeFilterCharset), alignof(GMimeFilterCharset));
    printf("%s;%zu;%zu\n", "GMimeFilterCharsetClass", sizeof(GMimeFilterCharsetClass), alignof(GMimeFilterCharsetClass));
    printf("%s;%zu;%zu\n", "GMimeFilterChecksum", sizeof(GMimeFilterChecksum), alignof(GMimeFilterChecksum));
    printf("%s;%zu;%zu\n", "GMimeFilterChecksumClass", sizeof(GMimeFilterChecksumClass), alignof(GMimeFilterChecksumClass));
    printf("%s;%zu;%zu\n", "GMimeFilterClass", sizeof(GMimeFilterClass), alignof(GMimeFilterClass));
    printf("%s;%zu;%zu\n", "GMimeFilterDos2Unix", sizeof(GMimeFilterDos2Unix), alignof(GMimeFilterDos2Unix));
    printf("%s;%zu;%zu\n", "GMimeFilterDos2UnixClass", sizeof(GMimeFilterDos2UnixClass), alignof(GMimeFilterDos2UnixClass));
    printf("%s;%zu;%zu\n", "GMimeFilterEnriched", sizeof(GMimeFilterEnriched), alignof(GMimeFilterEnriched));
    printf("%s;%zu;%zu\n", "GMimeFilterEnrichedClass", sizeof(GMimeFilterEnrichedClass), alignof(GMimeFilterEnrichedClass));
    printf("%s;%zu;%zu\n", "GMimeFilterFrom", sizeof(GMimeFilterFrom), alignof(GMimeFilterFrom));
    printf("%s;%zu;%zu\n", "GMimeFilterFromClass", sizeof(GMimeFilterFromClass), alignof(GMimeFilterFromClass));
    printf("%s;%zu;%zu\n", "GMimeFilterFromMode", sizeof(GMimeFilterFromMode), alignof(GMimeFilterFromMode));
    printf("%s;%zu;%zu\n", "GMimeFilterGZip", sizeof(GMimeFilterGZip), alignof(GMimeFilterGZip));
    printf("%s;%zu;%zu\n", "GMimeFilterGZipClass", sizeof(GMimeFilterGZipClass), alignof(GMimeFilterGZipClass));
    printf("%s;%zu;%zu\n", "GMimeFilterGZipMode", sizeof(GMimeFilterGZipMode), alignof(GMimeFilterGZipMode));
    printf("%s;%zu;%zu\n", "GMimeFilterHTMLClass", sizeof(GMimeFilterHTMLClass), alignof(GMimeFilterHTMLClass));
    printf("%s;%zu;%zu\n", "GMimeFilterOpenPGP", sizeof(GMimeFilterOpenPGP), alignof(GMimeFilterOpenPGP));
    printf("%s;%zu;%zu\n", "GMimeFilterOpenPGPClass", sizeof(GMimeFilterOpenPGPClass), alignof(GMimeFilterOpenPGPClass));
    printf("%s;%zu;%zu\n", "GMimeFilterSmtpData", sizeof(GMimeFilterSmtpData), alignof(GMimeFilterSmtpData));
    printf("%s;%zu;%zu\n", "GMimeFilterSmtpDataClass", sizeof(GMimeFilterSmtpDataClass), alignof(GMimeFilterSmtpDataClass));
    printf("%s;%zu;%zu\n", "GMimeFilterStrip", sizeof(GMimeFilterStrip), alignof(GMimeFilterStrip));
    printf("%s;%zu;%zu\n", "GMimeFilterStripClass", sizeof(GMimeFilterStripClass), alignof(GMimeFilterStripClass));
    printf("%s;%zu;%zu\n", "GMimeFilterUnix2Dos", sizeof(GMimeFilterUnix2Dos), alignof(GMimeFilterUnix2Dos));
    printf("%s;%zu;%zu\n", "GMimeFilterUnix2DosClass", sizeof(GMimeFilterUnix2DosClass), alignof(GMimeFilterUnix2DosClass));
    printf("%s;%zu;%zu\n", "GMimeFilterWindows", sizeof(GMimeFilterWindows), alignof(GMimeFilterWindows));
    printf("%s;%zu;%zu\n", "GMimeFilterWindowsClass", sizeof(GMimeFilterWindowsClass), alignof(GMimeFilterWindowsClass));
    printf("%s;%zu;%zu\n", "GMimeFilterYenc", sizeof(GMimeFilterYenc), alignof(GMimeFilterYenc));
    printf("%s;%zu;%zu\n", "GMimeFilterYencClass", sizeof(GMimeFilterYencClass), alignof(GMimeFilterYencClass));
    printf("%s;%zu;%zu\n", "GMimeFormat", sizeof(GMimeFormat), alignof(GMimeFormat));
    printf("%s;%zu;%zu\n", "GMimeHeader", sizeof(GMimeHeader), alignof(GMimeHeader));
    printf("%s;%zu;%zu\n", "GMimeHeaderClass", sizeof(GMimeHeaderClass), alignof(GMimeHeaderClass));
    printf("%s;%zu;%zu\n", "GMimeHeaderList", sizeof(GMimeHeaderList), alignof(GMimeHeaderList));
    printf("%s;%zu;%zu\n", "GMimeHeaderListClass", sizeof(GMimeHeaderListClass), alignof(GMimeHeaderListClass));
    printf("%s;%zu;%zu\n", "GMimeMessage", sizeof(GMimeMessage), alignof(GMimeMessage));
    printf("%s;%zu;%zu\n", "GMimeMessageClass", sizeof(GMimeMessageClass), alignof(GMimeMessageClass));
    printf("%s;%zu;%zu\n", "GMimeMessagePart", sizeof(GMimeMessagePart), alignof(GMimeMessagePart));
    printf("%s;%zu;%zu\n", "GMimeMessagePartClass", sizeof(GMimeMessagePartClass), alignof(GMimeMessagePartClass));
    printf("%s;%zu;%zu\n", "GMimeMessagePartial", sizeof(GMimeMessagePartial), alignof(GMimeMessagePartial));
    printf("%s;%zu;%zu\n", "GMimeMessagePartialClass", sizeof(GMimeMessagePartialClass), alignof(GMimeMessagePartialClass));
    printf("%s;%zu;%zu\n", "GMimeMultipart", sizeof(GMimeMultipart), alignof(GMimeMultipart));
    printf("%s;%zu;%zu\n", "GMimeMultipartClass", sizeof(GMimeMultipartClass), alignof(GMimeMultipartClass));
    printf("%s;%zu;%zu\n", "GMimeMultipartEncrypted", sizeof(GMimeMultipartEncrypted), alignof(GMimeMultipartEncrypted));
    printf("%s;%zu;%zu\n", "GMimeMultipartEncryptedClass", sizeof(GMimeMultipartEncryptedClass), alignof(GMimeMultipartEncryptedClass));
    printf("%s;%zu;%zu\n", "GMimeMultipartSigned", sizeof(GMimeMultipartSigned), alignof(GMimeMultipartSigned));
    printf("%s;%zu;%zu\n", "GMimeMultipartSignedClass", sizeof(GMimeMultipartSignedClass), alignof(GMimeMultipartSignedClass));
    printf("%s;%zu;%zu\n", "GMimeNewLineFormat", sizeof(GMimeNewLineFormat), alignof(GMimeNewLineFormat));
    printf("%s;%zu;%zu\n", "GMimeObject", sizeof(GMimeObject), alignof(GMimeObject));
    printf("%s;%zu;%zu\n", "GMimeObjectClass", sizeof(GMimeObjectClass), alignof(GMimeObjectClass));
    printf("%s;%zu;%zu\n", "GMimeOpenPGPData", sizeof(GMimeOpenPGPData), alignof(GMimeOpenPGPData));
    printf("%s;%zu;%zu\n", "GMimeOpenPGPMarker", sizeof(GMimeOpenPGPMarker), alignof(GMimeOpenPGPMarker));
    printf("%s;%zu;%zu\n", "GMimeOpenPGPState", sizeof(GMimeOpenPGPState), alignof(GMimeOpenPGPState));
    printf("%s;%zu;%zu\n", "GMimeParam", sizeof(GMimeParam), alignof(GMimeParam));
    printf("%s;%zu;%zu\n", "GMimeParamClass", sizeof(GMimeParamClass), alignof(GMimeParamClass));
    printf("%s;%zu;%zu\n", "GMimeParamEncodingMethod", sizeof(GMimeParamEncodingMethod), alignof(GMimeParamEncodingMethod));
    printf("%s;%zu;%zu\n", "GMimeParamList", sizeof(GMimeParamList), alignof(GMimeParamList));
    printf("%s;%zu;%zu\n", "GMimeParamListClass", sizeof(GMimeParamListClass), alignof(GMimeParamListClass));
    printf("%s;%zu;%zu\n", "GMimeParser", sizeof(GMimeParser), alignof(GMimeParser));
    printf("%s;%zu;%zu\n", "GMimeParserClass", sizeof(GMimeParserClass), alignof(GMimeParserClass));
    printf("%s;%zu;%zu\n", "GMimeParserWarning", sizeof(GMimeParserWarning), alignof(GMimeParserWarning));
    printf("%s;%zu;%zu\n", "GMimePart", sizeof(GMimePart), alignof(GMimePart));
    printf("%s;%zu;%zu\n", "GMimePartClass", sizeof(GMimePartClass), alignof(GMimePartClass));
    printf("%s;%zu;%zu\n", "GMimePubKeyAlgo", sizeof(GMimePubKeyAlgo), alignof(GMimePubKeyAlgo));
    printf("%s;%zu;%zu\n", "GMimeReferences", sizeof(GMimeReferences), alignof(GMimeReferences));
    printf("%s;%zu;%zu\n", "GMimeRfcComplianceMode", sizeof(GMimeRfcComplianceMode), alignof(GMimeRfcComplianceMode));
    printf("%s;%zu;%zu\n", "GMimeSecureMimeType", sizeof(GMimeSecureMimeType), alignof(GMimeSecureMimeType));
    printf("%s;%zu;%zu\n", "GMimeSeekWhence", sizeof(GMimeSeekWhence), alignof(GMimeSeekWhence));
    printf("%s;%zu;%zu\n", "GMimeSignature", sizeof(GMimeSignature), alignof(GMimeSignature));
    printf("%s;%zu;%zu\n", "GMimeSignatureClass", sizeof(GMimeSignatureClass), alignof(GMimeSignatureClass));
    printf("%s;%zu;%zu\n", "GMimeSignatureList", sizeof(GMimeSignatureList), alignof(GMimeSignatureList));
    printf("%s;%zu;%zu\n", "GMimeSignatureListClass", sizeof(GMimeSignatureListClass), alignof(GMimeSignatureListClass));
    printf("%s;%zu;%zu\n", "GMimeSignatureStatus", sizeof(GMimeSignatureStatus), alignof(GMimeSignatureStatus));
    printf("%s;%zu;%zu\n", "GMimeStream", sizeof(GMimeStream), alignof(GMimeStream));
    printf("%s;%zu;%zu\n", "GMimeStreamBuffer", sizeof(GMimeStreamBuffer), alignof(GMimeStreamBuffer));
    printf("%s;%zu;%zu\n", "GMimeStreamBufferClass", sizeof(GMimeStreamBufferClass), alignof(GMimeStreamBufferClass));
    printf("%s;%zu;%zu\n", "GMimeStreamBufferMode", sizeof(GMimeStreamBufferMode), alignof(GMimeStreamBufferMode));
    printf("%s;%zu;%zu\n", "GMimeStreamCat", sizeof(GMimeStreamCat), alignof(GMimeStreamCat));
    printf("%s;%zu;%zu\n", "GMimeStreamCatClass", sizeof(GMimeStreamCatClass), alignof(GMimeStreamCatClass));
    printf("%s;%zu;%zu\n", "GMimeStreamClass", sizeof(GMimeStreamClass), alignof(GMimeStreamClass));
    printf("%s;%zu;%zu\n", "GMimeStreamFile", sizeof(GMimeStreamFile), alignof(GMimeStreamFile));
    printf("%s;%zu;%zu\n", "GMimeStreamFileClass", sizeof(GMimeStreamFileClass), alignof(GMimeStreamFileClass));
    printf("%s;%zu;%zu\n", "GMimeStreamFilter", sizeof(GMimeStreamFilter), alignof(GMimeStreamFilter));
    printf("%s;%zu;%zu\n", "GMimeStreamFilterClass", sizeof(GMimeStreamFilterClass), alignof(GMimeStreamFilterClass));
    printf("%s;%zu;%zu\n", "GMimeStreamFs", sizeof(GMimeStreamFs), alignof(GMimeStreamFs));
    printf("%s;%zu;%zu\n", "GMimeStreamFsClass", sizeof(GMimeStreamFsClass), alignof(GMimeStreamFsClass));
    printf("%s;%zu;%zu\n", "GMimeStreamGIO", sizeof(GMimeStreamGIO), alignof(GMimeStreamGIO));
    printf("%s;%zu;%zu\n", "GMimeStreamGIOClass", sizeof(GMimeStreamGIOClass), alignof(GMimeStreamGIOClass));
    printf("%s;%zu;%zu\n", "GMimeStreamIOVector", sizeof(GMimeStreamIOVector), alignof(GMimeStreamIOVector));
    printf("%s;%zu;%zu\n", "GMimeStreamMem", sizeof(GMimeStreamMem), alignof(GMimeStreamMem));
    printf("%s;%zu;%zu\n", "GMimeStreamMemClass", sizeof(GMimeStreamMemClass), alignof(GMimeStreamMemClass));
    printf("%s;%zu;%zu\n", "GMimeStreamMmap", sizeof(GMimeStreamMmap), alignof(GMimeStreamMmap));
    printf("%s;%zu;%zu\n", "GMimeStreamMmapClass", sizeof(GMimeStreamMmapClass), alignof(GMimeStreamMmapClass));
    printf("%s;%zu;%zu\n", "GMimeStreamNull", sizeof(GMimeStreamNull), alignof(GMimeStreamNull));
    printf("%s;%zu;%zu\n", "GMimeStreamNullClass", sizeof(GMimeStreamNullClass), alignof(GMimeStreamNullClass));
    printf("%s;%zu;%zu\n", "GMimeStreamPipe", sizeof(GMimeStreamPipe), alignof(GMimeStreamPipe));
    printf("%s;%zu;%zu\n", "GMimeStreamPipeClass", sizeof(GMimeStreamPipeClass), alignof(GMimeStreamPipeClass));
    printf("%s;%zu;%zu\n", "GMimeTextPart", sizeof(GMimeTextPart), alignof(GMimeTextPart));
    printf("%s;%zu;%zu\n", "GMimeTextPartClass", sizeof(GMimeTextPartClass), alignof(GMimeTextPartClass));
    printf("%s;%zu;%zu\n", "GMimeTrust", sizeof(GMimeTrust), alignof(GMimeTrust));
    printf("%s;%zu;%zu\n", "GMimeValidity", sizeof(GMimeValidity), alignof(GMimeValidity));
    printf("%s;%zu;%zu\n", "GMimeVerifyFlags", sizeof(GMimeVerifyFlags), alignof(GMimeVerifyFlags));
    printf("%s;%zu;%zu\n", "InternetAddress", sizeof(InternetAddress), alignof(InternetAddress));
    printf("%s;%zu;%zu\n", "InternetAddressClass", sizeof(InternetAddressClass), alignof(InternetAddressClass));
    printf("%s;%zu;%zu\n", "InternetAddressGroup", sizeof(InternetAddressGroup), alignof(InternetAddressGroup));
    printf("%s;%zu;%zu\n", "InternetAddressGroupClass", sizeof(InternetAddressGroupClass), alignof(InternetAddressGroupClass));
    printf("%s;%zu;%zu\n", "InternetAddressList", sizeof(InternetAddressList), alignof(InternetAddressList));
    printf("%s;%zu;%zu\n", "InternetAddressListClass", sizeof(InternetAddressListClass), alignof(InternetAddressListClass));
    printf("%s;%zu;%zu\n", "InternetAddressMailbox", sizeof(InternetAddressMailbox), alignof(InternetAddressMailbox));
    printf("%s;%zu;%zu\n", "InternetAddressMailboxClass", sizeof(InternetAddressMailboxClass), alignof(InternetAddressMailboxClass));
    return 0;
}
